Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1313259 - Upstream tests cause building python package on brew stall and leave orphan processes that need manually kill
Summary: Upstream tests cause building python package on brew stall and leave orphan p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python
Version: 7.2
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Charalampos Stratakis
QA Contact: Branislav Náter
URL:
Whiteboard:
: 1313148 (view as bug list)
Depends On:
Blocks: 1295829
TreeView+ depends on / blocked
 
Reported: 2016-03-01 09:28 UTC by Xibo Ning
Modified: 2016-11-03 20:16 UTC (History)
6 users (show)

Fixed In Version: python-2.7.5-36.el7
Doc Type: Bug Fix
Doc Text:
Cause: In TestForkInThread test case from test_thread.py upstream test suite, sys.exit(0) is used instead of os._exit(0). Consequence: Zombie processes are left behind which leave brew builds hanging. Fix: Apply upstream patch to change the TestForkInThread test case Result: Brew builds are not hanging.
Clone Of:
: 1365200 (view as bug list)
Environment:
Last Closed: 2016-11-03 20:16:16 UTC
Target Upstream Version:


Attachments (Terms of Use)
demo program emulate mock (deleted)
2016-03-01 12:27 UTC, Xibo Ning
no flags Details
demo program emulate rpmbuild (deleted)
2016-03-01 12:28 UTC, Xibo Ning
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2586 normal SHIPPED_LIVE Low: python security, bug fix, and enhancement update 2016-11-03 12:09:15 UTC

Description Xibo Ning 2016-03-01 09:28:54 UTC
Description of problem:
The following upstream tests, because of bug 1313148, will cause building python package on brew stall and leave orphan processes that need manually kill
test___all__
test_asynchat
test_tcl
test_tk
test_ttk_guionly
test_ttk_textonly

Version-Release number of selected component (if applicable):
python >= 2.7
python >= 3.4



Additional info
The origin issue that report the problem is here
https://engineering.redhat.com/rt/Ticket/Display.html?id=374328

Comment 2 Xibo Ning 2016-03-01 12:25:01 UTC
Here is a demo to verify why the bug 1313148 make brew building python package trouble. The demo files in the attachment.

Please run the demo as following
1. need a rhel7/centos7/fedora23 system
2. install python2 tinter module
3. download the two program to temporary directory
4. have the two program executable
5. run the cntl.py
6. if emulate mock-1.1.16, you need manually kill the cntl.py process
7. verify that there is an orphan process

Comment 3 Xibo Ning 2016-03-01 12:27:52 UTC
Created attachment 1131897 [details]
demo program emulate mock

Comment 4 Xibo Ning 2016-03-01 12:28:36 UTC
Created attachment 1131898 [details]
demo program emulate rpmbuild

Comment 6 Charalampos Stratakis 2016-03-12 14:22:15 UTC
*** Bug 1313148 has been marked as a duplicate of this bug. ***

Comment 12 errata-xmlrpc 2016-11-03 20:16:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2586.html


Note You need to log in before you can comment on or make changes to this bug.